[kaspresso](../index.md) / [com.kaspersky.kaspresso.interceptors.behaviorkautomator](index.md) / [ObjectBehaviorInterceptor](./-object-behavior-interceptor.md)

# ObjectBehaviorInterceptor

`interface ObjectBehaviorInterceptor : `[`KautomatorBehaviorInterceptor`](-kautomator-behavior-interceptor/index.md)`<UiObjectInteraction, UiObjectAssertion, UiObjectAction>`

The derived from [KautomatorBehaviorInterceptor](-kautomator-behavior-interceptor/index.md) interface for intercepting [UiObjectInteraction.perform](#) and
[UiObjectInteraction.check](#) behavior.

### Inherited Functions

| Name | Summary |
|---|---|
| [interceptCheck](-kautomator-behavior-interceptor/intercept-check.md) | `abstract fun <T> interceptCheck(interaction: `[`Interaction`](-kautomator-behavior-interceptor/index.md#Interaction)`, assertion: `[`Assertion`](-kautomator-behavior-interceptor/index.md#Assertion)`, activity: () -> `[`T`](-kautomator-behavior-interceptor/intercept-check.md#T)`): `[`T`](-kautomator-behavior-interceptor/intercept-check.md#T)<br>Called to do some stuff and actually check an interaction with element. |
| [interceptPerform](-kautomator-behavior-interceptor/intercept-perform.md) | `abstract fun <T> interceptPerform(interaction: `[`Interaction`](-kautomator-behavior-interceptor/index.md#Interaction)`, action: `[`Action`](-kautomator-behavior-interceptor/index.md#Action)`, activity: () -> `[`T`](-kautomator-behavior-interceptor/intercept-perform.md#T)`): `[`T`](-kautomator-behavior-interceptor/intercept-perform.md#T)<br>Called to do some stuff and actually perform an interaction with element. |

### Inheritors

| Name | Summary |
|---|---|
| [AutoScrollObjectBehaviorInterceptor](../com.kaspersky.kaspresso.interceptors.behaviorkautomator.impl.autoscroll/-auto-scroll-object-behavior-interceptor/index.md) | `class AutoScrollObjectBehaviorInterceptor : `[`ObjectBehaviorInterceptor`](./-object-behavior-interceptor.md)`, `[`AutoScrollProvider`](../com.kaspersky.kaspresso.autoscroll/-auto-scroll-provider/index.md)`<UiObjectInteraction>`<br>The implementation of [ObjectBehaviorInterceptor](./-object-behavior-interceptor.md) and [AutoScrollProvider](../com.kaspersky.kaspresso.autoscroll/-auto-scroll-provider/index.md) interfaces. Provides autoscroll on failure functionality for [UiObjectInteraction.perform](#) and [UiObjectInteraction.check](#) calls. |
| [FailureLoggingObjectBehaviorInterceptor](../com.kaspersky.kaspresso.interceptors.behaviorkautomator.impl.failure/-failure-logging-object-behavior-interceptor/index.md) | `class FailureLoggingObjectBehaviorInterceptor : `[`ObjectBehaviorInterceptor`](./-object-behavior-interceptor.md)`, `[`FailureLoggingProvider`](../com.kaspersky.kaspresso.failure/-failure-logging-provider/index.md)<br>The implementation of [ObjectBehaviorInterceptor](./-object-behavior-interceptor.md) and [FailureLoggingProvider](../com.kaspersky.kaspresso.failure/-failure-logging-provider/index.md) interfaces. Provides failure logging functionality for [UiObjectInteraction.perform](#) and [UiObjectInteraction.check](#) calls. |
| [FlakySafeObjectBehaviorInterceptor](../com.kaspersky.kaspresso.interceptors.behaviorkautomator.impl.flakysafety/-flaky-safe-object-behavior-interceptor/index.md) | `class FlakySafeObjectBehaviorInterceptor : `[`ObjectBehaviorInterceptor`](./-object-behavior-interceptor.md)`, `[`FlakySafetyProvider`](../com.kaspersky.kaspresso.flakysafety/-flaky-safety-provider/index.md)<br>The implementation of [ObjectBehaviorInterceptor](./-object-behavior-interceptor.md) and [FlakySafetyProvider](../com.kaspersky.kaspresso.flakysafety/-flaky-safety-provider/index.md) interfaces. Provides system flaky safety functionality for [UiObjectInteraction.perform](#) and [UiObjectInteraction.check](#) calls. |
| [SystemDialogSafetyObjectBehaviorInterceptor](../com.kaspersky.kaspresso.interceptors.behaviorkautomator.impl.systemsafety/-system-dialog-safety-object-behavior-interceptor/index.md) | `class SystemDialogSafetyObjectBehaviorInterceptor : `[`ObjectBehaviorInterceptor`](./-object-behavior-interceptor.md)`, `[`SystemDialogSafetyProvider`](../com.kaspersky.kaspresso.systemsafety/-system-dialog-safety-provider/index.md)<br>The implementation of [ObjectBehaviorInterceptor](./-object-behavior-interceptor.md) and [SystemDialogSafetyProvider](../com.kaspersky.kaspresso.systemsafety/-system-dialog-safety-provider/index.md) interfaces. Provides system dialog safety functionality for [UiObjectInteraction.perform](#) and [UiObjectInteraction.check](#) calls. |
| [UiObjectLoaderBehaviorInterceptor](../com.kaspersky.kaspresso.interceptors.behaviorkautomator.impl.loader/-ui-object-loader-behavior-interceptor/index.md) | `class UiObjectLoaderBehaviorInterceptor : `[`ObjectBehaviorInterceptor`](./-object-behavior-interceptor.md)`, `[`UiObjectLoaderProvider`](../com.kaspersky.kaspresso.uiobjectloader/-ui-object-loader-provider/index.md)<br>The implementation of [ObjectBehaviorInterceptor](./-object-behavior-interceptor.md) and [UiObjectLoaderProvider](../com.kaspersky.kaspresso.uiobjectloader/-ui-object-loader-provider/index.md) interfaces. Provides system flaky safety functionality for [UiObjectInteraction.perform](#) and [UiObjectInteraction.check](#) calls. |
