[kaspresso](../../../index.md) / [com.kaspersky.kaspresso.kaspresso](../../index.md) / [Kaspresso](../index.md) / [Builder](./index.md)

# Builder

`class Builder`

The class for [Kaspresso](../index.md) configuration and initialization. This is the way to set Kaspresso preferences.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Builder()`<br>The class for [Kaspresso](../index.md) configuration and initialization. This is the way to set Kaspresso preferences. |

### Properties

| Name | Summary |
|---|---|
| [accessibility](accessibility.md) | `lateinit var accessibility: `[`Accessibility`](../../../com.kaspersky.kaspresso.device.accessibility/-accessibility/index.md)<br>Holds an implementation of [Accessibility](../../../com.kaspersky.kaspresso.device.accessibility/-accessibility/index.md) interface. If it was not specified, the default implementation is used. |
| [activities](activities.md) | `lateinit var activities: `[`Activities`](../../../com.kaspersky.kaspresso.device.activities/-activities/index.md)<br>Holds an implementation of [Activities](../../../com.kaspersky.kaspresso.device.activities/-activities/index.md) interface. If it was not specified, the default implementation is used. |
| [adbServer](adb-server.md) | `lateinit var adbServer: `[`AdbServer`](../../../com.kaspersky.kaspresso.device.server/-adb-server/index.md)<br>Holds an implementation of [AdbServer](../../../com.kaspersky.kaspresso.device.server/-adb-server/index.md) interface. If it was not specified, the default implementation is used. |
| [apps](apps.md) | `lateinit var apps: `[`Apps`](../../../com.kaspersky.kaspresso.device.apps/-apps/index.md)<br>Holds an implementation of [Apps](../../../com.kaspersky.kaspresso.device.apps/-apps/index.md) interface. If it was not specified, the default implementation is used. |
| [atomWatcherInterceptors](atom-watcher-interceptors.md) | `lateinit var atomWatcherInterceptors: `[`MutableList`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)`<`[`AtomWatcherInterceptor`](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-atom-watcher-interceptor/index.md)`>`<br>Holds the list of [AtomWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-atom-watcher-interceptor/index.md)s. If it was not specified, Kaspresso will use no [AtomWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-atom-watcher-interceptor/index.md)s. These interceptors are called by [com.kaspersky.kaspresso.proxy.AtomProxy](../../../com.kaspersky.kaspresso.proxy/-atom-proxy/index.md) before [androidx.test.espresso.web.model.Atom](#) is actually called. |
| [autoScrollParams](auto-scroll-params.md) | `lateinit var autoScrollParams: `[`AutoScrollParams`](../../../com.kaspersky.kaspresso.params/-auto-scroll-params/index.md)<br>Holds the [AutoScrollParams](../../../com.kaspersky.kaspresso.params/-auto-scroll-params/index.md) for [com.kaspersky.kaspresso.autoscroll.AutoScrollProvider](../../../com.kaspersky.kaspresso.autoscroll/-auto-scroll-provider/index.md)'s usage. If it was not specified, the default implementation is used. |
| [continuouslyParams](continuously-params.md) | `lateinit var continuouslyParams: `[`ContinuouslyParams`](../../../com.kaspersky.kaspresso.params/-continuously-params/index.md)<br>Holds the [ContinuouslyParams](../../../com.kaspersky.kaspresso.params/-continuously-params/index.md) for [com.kaspersky.kaspresso.flakysafety.ContinuouslyProvider](../../../com.kaspersky.kaspresso.flakysafety/-continuously-provider/index.md)'s usage. If it was not specified, the default implementation is used. |
| [dataBehaviorInterceptors](data-behavior-interceptors.md) | `lateinit var dataBehaviorInterceptors: `[`MutableList`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)`<`[`DataBehaviorInterceptor`](../../../com.kaspersky.kaspresso.interceptors.behavior/-data-behavior-interceptor.md)`>`<br>Holds the list of [DataBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-data-behavior-interceptor.md)s. If it was not specified, Kaspresso will use no [DataBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-data-behavior-interceptor.md)s. These interceptors are called by [com.kaspersky.kaspresso.interceptors.tolibrary.impl.KakaoDataInterceptor](#) before actual [androidx.test.espresso.DataInteraction.check](#) call. Note that the order of [DataBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-data-behavior-interceptor.md)s in this list is significant: the first item wil be at the lowest level of intercepting chain, and the last item will be at the highest level. For example: the first item actually wraps the [androidx.test.espresso.DataInteraction.check](#) call, the second item wraps the first item, and so on. |
| [deviceBehaviorInterceptors](device-behavior-interceptors.md) | `lateinit var deviceBehaviorInterceptors: `[`MutableList`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)`<`[`DeviceBehaviorInterceptor`](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-device-behavior-interceptor.md)`>`<br>Holds the list of [DeviceBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-device-behavior-interceptor.md)s. If it was not specified, Kaspresso will use no [DeviceBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-device-behavior-interceptor.md)s. These interceptors are called by [KautomatorObjectInterceptor](#) before actual [UiObjectInteraction.check](#) and [UiObjectInteraction.perform](#) call. Note that the order of [DeviceBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-device-behavior-interceptor.md)s in this list is significant: the first item wil be at the lowest level of intercepting chain, and the last item will be at the highest level. For example: the first item actually wraps the [UiObjectInteraction.check](#) or [UiObjectInteraction.perform](#) call, the second item wraps the first item, and so on. |
| [deviceWatcherInterceptors](device-watcher-interceptors.md) | `lateinit var deviceWatcherInterceptors: `[`MutableList`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)`<`[`DeviceWatcherInterceptor`](../../../com.kaspersky.kaspresso.interceptors.watcher.kautomator/-device-watcher-interceptor.md)`>`<br>Holds the list of [DeviceWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.kautomator/-device-watcher-interceptor.md)s. If it was not specified, Kaspresso will use no [DeviceWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.kautomator/-device-watcher-interceptor.md)s. These interceptors are called by [KautomatorDeviceInterceptor](#) before actual [UiDeviceInteraction.check](#) and [UiDeviceInteraction.perform](#) call. |
| [exploit](exploit.md) | `lateinit var exploit: `[`Exploit`](../../../com.kaspersky.kaspresso.device.exploit/-exploit/index.md)<br>Holds an implementation of [Exploit](../../../com.kaspersky.kaspresso.device.exploit/-exploit/index.md) interface. If it was not specified, the default implementation is used. |
| [failureHandler](failure-handler.md) | `var failureHandler: FailureHandler?`<br>Holds the implementation of the [androidx.test.espresso.FailureHandler](#) interface, that is called on every failure. |
| [files](files.md) | `lateinit var files: `[`Files`](../../../com.kaspersky.kaspresso.device.files/-files/index.md)<br>Holds an implementation of [Files](../../../com.kaspersky.kaspresso.device.files/-files/index.md) interface. If it was not specified, the default implementation is used. |
| [flakySafetyParams](flaky-safety-params.md) | `lateinit var flakySafetyParams: `[`FlakySafetyParams`](../../../com.kaspersky.kaspresso.params/-flaky-safety-params/index.md)<br>Holds the [FlakySafetyParams](../../../com.kaspersky.kaspresso.params/-flaky-safety-params/index.md) for [com.kaspersky.kaspresso.flakysafety.FlakySafetyProvider](../../../com.kaspersky.kaspresso.flakysafety/-flaky-safety-provider/index.md)'s usage. If it was not specified, the default implementation is used. |
| [hackPermissions](hack-permissions.md) | `lateinit var hackPermissions: `[`HackPermissions`](../../../com.kaspersky.kaspresso.device.permissions/-hack-permissions/index.md)<br>Holds an implementation of [HackPermissions](../../../com.kaspersky.kaspresso.device.permissions/-hack-permissions/index.md) interface. If it was not specified, the default implementation is used. |
| [kautomatorWaitForIdleSettings](kautomator-wait-for-idle-settings.md) | `lateinit var kautomatorWaitForIdleSettings: `[`KautomatorWaitForIdleSettings`](../../../com.kaspersky.kaspresso.idlewaiting/-kautomator-wait-for-idle-settings/index.md)<br>Holds an implementation of [KautomatorWaitForIdleSettings](../../../com.kaspersky.kaspresso.idlewaiting/-kautomator-wait-for-idle-settings/index.md) for external developer's usage in tests. If it was not specified, the default implementation is used. |
| [keyboard](keyboard.md) | `lateinit var keyboard: `[`Keyboard`](../../../com.kaspersky.kaspresso.device.keyboard/-keyboard/index.md)<br>Holds an implementation of [Keyboard](../../../com.kaspersky.kaspresso.device.keyboard/-keyboard/index.md) interface. If it was not specified, the default implementation is used. |
| [language](language.md) | `lateinit var language: `[`Language`](../../../com.kaspersky.kaspresso.device.languages/-language/index.md)<br>Holds an implementation of [Language](../../../com.kaspersky.kaspresso.device.languages/-language/index.md) interface. If it was not specified, the default implementation is used. |
| [libLogger](lib-logger.md) | `lateinit var libLogger: `[`UiTestLogger`](../../../com.kaspersky.kaspresso.logger/-ui-test-logger.md)<br>Holds an implementation of [UiTestLogger](../../../com.kaspersky.kaspresso.logger/-ui-test-logger.md) interface for inner Kaspresso usage. If it was not specified, the default implementation with default tag is used. |
| [location](location.md) | `lateinit var location: `[`Location`](../../../com.kaspersky.kaspresso.device.location/-location/index.md)<br>Holds an implementation of [Location](../../../com.kaspersky.kaspresso.device.location/-location/index.md) interface. If it was not specified, the default implementation is used. |
| [logcat](logcat.md) | `lateinit var logcat: `[`Logcat`](../../../com.kaspersky.kaspresso.device.logcat/-logcat/index.md)<br>Holds an implementation of [Logcat](../../../com.kaspersky.kaspresso.device.logcat/-logcat/index.md) interface. If it was not specified, the default implementation is used. |
| [network](network.md) | `lateinit var network: `[`Network`](../../../com.kaspersky.kaspresso.device.network/-network/index.md)<br>Holds an implementation of [Network](../../../com.kaspersky.kaspresso.device.network/-network/index.md) interface. If it was not specified, the default implementation is used. |
| [objectBehaviorInterceptors](object-behavior-interceptors.md) | `lateinit var objectBehaviorInterceptors: `[`MutableList`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)`<`[`ObjectBehaviorInterceptor`](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-object-behavior-interceptor.md)`>`<br>Holds the list of [ObjectBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-object-behavior-interceptor.md)s. If it was not specified, Kaspresso will use no [ObjectBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-object-behavior-interceptor.md)s. These interceptors are called by [KautomatorDeviceInterceptor](#) before actual [UiDeviceInteraction.check](#) and [UiDeviceInteraction.perform](#) call. Note that the order of [ObjectBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-object-behavior-interceptor.md)s in this list is significant: the first item wil be at the lowest level of intercepting chain, and the last item will be at the highest level. For example: the first item actually wraps the [UiDeviceInteraction.check](#) or [UiDeviceInteraction.perform](#) call, the second item wraps the first item, and so on. |
| [objectWatcherInterceptors](object-watcher-interceptors.md) | `lateinit var objectWatcherInterceptors: `[`MutableList`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)`<`[`ObjectWatcherInterceptor`](../../../com.kaspersky.kaspresso.interceptors.watcher.kautomator/-object-watcher-interceptor.md)`>`<br>Holds the list of [ObjectWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.kautomator/-object-watcher-interceptor.md)s. If it was not specified, Kaspresso will use no [ObjectWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.kautomator/-object-watcher-interceptor.md)s. These interceptors are called by [KautomatorObjectInterceptor](#) before actual [UiObjectInteraction.check](#) and [UiObjectInteraction.perform](#) call. |
| [permissions](permissions.md) | `lateinit var permissions: `[`Permissions`](../../../com.kaspersky.kaspresso.device.permissions/-permissions/index.md)<br>Holds an implementation of [Permissions](../../../com.kaspersky.kaspresso.device.permissions/-permissions/index.md) interface. If it was not specified, the default implementation is used. |
| [phone](phone.md) | `lateinit var phone: `[`Phone`](../../../com.kaspersky.kaspresso.device.phone/-phone/index.md)<br>Holds an implementation of [Phone](../../../com.kaspersky.kaspresso.device.phone/-phone/index.md) interface. If it was not specified, the default implementation is used. |
| [screenshots](screenshots.md) | `lateinit var screenshots: `[`Screenshots`](../../../com.kaspersky.kaspresso.device.screenshots/-screenshots/index.md)<br>Holds an implementation of [Screenshots](../../../com.kaspersky.kaspresso.device.screenshots/-screenshots/index.md) interface. If it was not specified, the default implementation is used. |
| [stepParams](step-params.md) | `lateinit var stepParams: `[`StepParams`](../../../com.kaspersky.kaspresso.params/-step-params/index.md)<br>Holds the [StepParams](../../../com.kaspersky.kaspresso.params/-step-params/index.md) for [com.kaspersky.kaspresso.testcases.core.step.StepsManager](#)'s usage. If it was not specified, the default implementation is used. |
| [stepWatcherInterceptors](step-watcher-interceptors.md) | `lateinit var stepWatcherInterceptors: `[`MutableList`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)`<`[`StepWatcherInterceptor`](../../../com.kaspersky.kaspresso.interceptors.watcher.testcase/-step-watcher-interceptor/index.md)`>`<br>Holds the list of [StepWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.testcase/-step-watcher-interceptor/index.md)s. If it was not specified, Kaspresso will use no [StepWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.testcase/-step-watcher-interceptor/index.md)s. These interceptors are called by [com.kaspersky.kaspresso.testcases.core.testcontext.TestContext](../../../com.kaspersky.kaspresso.testcases.core.testcontext/-test-context/index.md) in "step" method on both "step started", "step finished with success", "step finished with failure" and "step finally finished" events. |
| [testLogger](test-logger.md) | `lateinit var testLogger: `[`UiTestLogger`](../../../com.kaspersky.kaspresso.logger/-ui-test-logger.md)<br>Holds an implementation of [UiTestLogger](../../../com.kaspersky.kaspresso.logger/-ui-test-logger.md) interface for external developer's usage in tests. If it was not specified, the default implementation with default tag is used. |
| [testRunWatcherInterceptors](test-run-watcher-interceptors.md) | `lateinit var testRunWatcherInterceptors: `[`MutableList`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)`<`[`TestRunWatcherInterceptor`](../../../com.kaspersky.kaspresso.interceptors.watcher.testcase/-test-run-watcher-interceptor/index.md)`>`<br>Holds the list of [TestRunWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.testcase/-test-run-watcher-interceptor/index.md)s. If it was not specified, Kaspresso will use no [TestRunWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.testcase/-test-run-watcher-interceptor/index.md)s. These interceptors are called by [com.kaspersky.kaspresso.testcases.core.TestRunner](#) in "run" method on "test started", on all [com.kaspersky.kaspresso.testcases.core.sections](../../../com.kaspersky.kaspresso.testcases.core.sections/index.md)' "section started", "section finished with success" and "section finished with failure", and "test finished" events. |
| [viewActionWatcherInterceptors](view-action-watcher-interceptors.md) | `lateinit var viewActionWatcherInterceptors: `[`MutableList`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)`<`[`ViewActionWatcherInterceptor`](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-view-action-watcher-interceptor/index.md)`>`<br>Holds the list of [ViewActionWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-view-action-watcher-interceptor/index.md)s. If it was not specified, Kaspresso will use no [ViewActionWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-view-action-watcher-interceptor/index.md)s. These interceptors are called by [com.kaspersky.kaspresso.proxy.ViewActionProxy](../../../com.kaspersky.kaspresso.proxy/-view-action-proxy/index.md) before actual [androidx.test.espresso.ViewAction.perform](#) call. |
| [viewAssertionWatcherInterceptors](view-assertion-watcher-interceptors.md) | `lateinit var viewAssertionWatcherInterceptors: `[`MutableList`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)`<`[`ViewAssertionWatcherInterceptor`](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-view-assertion-watcher-interceptor/index.md)`>`<br>Holds the list of [ViewAssertionWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-view-assertion-watcher-interceptor/index.md)s. If it was not specified, Kaspresso will use no [ViewAssertionWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-view-assertion-watcher-interceptor/index.md)s. These interceptors are called by [com.kaspersky.kaspresso.proxy.ViewAssertionProxy](../../../com.kaspersky.kaspresso.proxy/-view-assertion-proxy/index.md) before actual [androidx.test.espresso.ViewAssertion.check](#) call. |
| [viewBehaviorInterceptors](view-behavior-interceptors.md) | `lateinit var viewBehaviorInterceptors: `[`MutableList`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)`<`[`ViewBehaviorInterceptor`](../../../com.kaspersky.kaspresso.interceptors.behavior/-view-behavior-interceptor.md)`>`<br>Holds the list of [ViewBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-view-behavior-interceptor.md)s. If it was not specified, Kaspresso will use no [ViewBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-view-behavior-interceptor.md)s. These interceptors are called by [com.kaspersky.kaspresso.interceptors.tolibrary.impl.KakaoViewInterceptor](#) before actual [androidx.test.espresso.ViewInteraction.perform](#) and [androidx.test.espresso.ViewInteraction.check](#) calls. Note that the order of [ViewBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-view-behavior-interceptor.md)s in this list is significant: the first item wil be at the lowest level of intercepting chain, and the last item will be at the highest level. For example: the first item actually wraps the [androidx.test.espresso.ViewInteraction.perform](#) call, the second item wraps the first item, and so on. |
| [webAssertionWatcherInterceptors](web-assertion-watcher-interceptors.md) | `lateinit var webAssertionWatcherInterceptors: `[`MutableList`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)`<`[`WebAssertionWatcherInterceptor`](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-web-assertion-watcher-interceptor/index.md)`>`<br>Holds the list of [WebAssertionWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-web-assertion-watcher-interceptor/index.md)s. If it was not specified, Kaspresso will use no [WebAssertionWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-web-assertion-watcher-interceptor/index.md)s. These interceptors are called by [androidx.test.espresso.web.assertion.WebAssertionProxy](../../../androidx.test.espresso.web.assertion/-web-assertion-proxy/index.md) before actual [androidx.test.espresso.web.assertion.WebAssertion.checkResult](#) call. |
| [webBehaviorInterceptors](web-behavior-interceptors.md) | `lateinit var webBehaviorInterceptors: `[`MutableList`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)`<`[`WebBehaviorInterceptor`](../../../com.kaspersky.kaspresso.interceptors.behavior/-web-behavior-interceptor.md)`>`<br>Holds the list of [WebBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-web-behavior-interceptor.md)s. If it was not specified, Kaspresso will use no [WebBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-web-behavior-interceptor.md)s. These interceptors are called by [com.kaspersky.kaspresso.interceptors.tolibrary.impl.KakaoWebInterceptor](#) before actual [androidx.test.espresso.web.sugar.Web.WebInteraction.perform](#) and [androidx.test.espresso.web.sugar.Web.WebInteraction.check](#) calls. Note that the order of [WebBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-web-behavior-interceptor.md)s in this list is significant: the first item wil be at the lowest level of intercepting chain, and the last item will be at the highest level. For example: the first item actually wraps the [androidx.test.espresso.web.sugar.Web.WebInteraction.perform](#) call, the second item wraps the first item, and so on. |

### Functions

| Name | Summary |
|---|---|
| [afterEachTest](after-each-test.md) | `fun afterEachTest(override: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)` = false, action: `[`BaseTestContext`](../../../com.kaspersky.kaspresso.testcases.core.testcontext/-base-test-context.md)`.() -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Set the action which will be executed after the test. The action has access to BaseTestContext. If you set @param override in false then the final beforeAction will be     beforeAction of the parent TestCase plus current @param action.     Otherwise final beforeAction will be only @param action. |
| [beforeEachTest](before-each-test.md) | `fun beforeEachTest(override: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)` = false, action: `[`BaseTestContext`](../../../com.kaspersky.kaspresso.testcases.core.testcontext/-base-test-context.md)`.() -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Set the action which will be executed before the test. The action has access to BaseTestContext. If you set @param override in false then the final beforeAction will be     beforeAction of the parent TestCase plus current @param action.     Otherwise final beforeAction will be only @param action. |

### Companion Object Functions

| Name | Summary |
|---|---|
| [advanced](advanced.md) | `fun advanced(customize: `[`Kaspresso.Builder`](./index.md)`.() -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)` = {}): `[`Kaspresso.Builder`](./index.md)<br>Advanced (full-featured with screenshot functionality) [Builder](./index.md) for test environment configuration. |
| [default](default.md) | `fun ~~default~~(customize: `[`Kaspresso.Builder`](./index.md)`.() -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)` = {}): `[`Kaspresso.Builder`](./index.md)<br>Default (preconfigured full-featured with screenshot functionality) [Builder](./index.md) for test environment configuration. |
| [simple](simple.md) | `fun simple(customize: `[`Kaspresso.Builder`](./index.md)`.() -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)` = {}): `[`Kaspresso.Builder`](./index.md)<br>Simple (preconfigured with logging and flaky-safe features) [Builder](./index.md) for test environment configuration. |
